#include "IOXWrd.h"

int main (int argc, char** argv)
{
  if (argc < 2) exit (1);
  const char* fileName = argv[1];
  bool isWaitKey = false;
  if (argc >= 3 && strcmp (argv[1], "-k") == 0)
    {
      fileName = argv[2];
      isWaitKey = true;
    }
  
  State state;
  state.songStatus.setFileName (fileName);
  ServerCommand serverCommand;
  Option option;
  option.wrdDoesCerrDebug = true;
  
  Wrd* wio=new IOXWrd (&state,&serverCommand,&option);
  wio->initialize ();
  wio->prePlay ();
  //wio->playLoop ();
  wio->nonstopPlayLoop (isWaitKey);
  wio->postPlay ();
  wio->release ();
}
